using Microsoft.EntityFrameworkCore;
using Microsoft.EntityFrameworkCore.Metadata.Builders;
using ReAct_PME.Domain;


namespace ReAct_PME.Infrastructure.Persistence.Configurations
{
    public partial class DT_LOGSConfiguration : IEntityTypeConfiguration<DT_LOGS>
    {
		public void Configure(EntityTypeBuilder<DT_LOGS> builder)
		{
			builder.ToTable("DT_LOGS"); // Nom de la table dans SQL Server
			builder.HasKey(c => c.ID);    // Clé primaire
			builder.Property(c => c.ID)
				.HasColumnName("ID")
				.HasColumnType("Guid")
				.IsRequired()
				;
			builder.Property(c => c.ID_WORK_FORCE)
				.HasColumnName("ID_WORK_FORCE")
				.HasColumnType("Guid")
				.IsRequired()
				;
			builder.Property(c => c.NIVEAU)
				.HasColumnName("NIVEAU")
				.HasColumnType("string")
				.IsRequired()
				.HasMaxLength(50)
				;
			builder.Property(c => c.HORODATAGE)
				.HasColumnName("HORODATAGE")
				.HasColumnType("DateTime")
				.IsRequired()
				;
			builder.Property(c => c.MESSAGE)
				.HasColumnName("MESSAGE")
				.HasColumnType("string")
				.IsRequired()
				;
		}



    }
}
